package com.ruoyi.shipping.service;

import java.util.List;
import com.ruoyi.shipping.domain.TCtnpriceItems;

/**
 * 海运运价从Service接口
 * 
 * @author ruoyi
 * @date 2021-04-06
 */
public interface ITCtnpriceItemsService 
{
    /**
     * 查询海运运价从
     * 
     * @param fId 海运运价从ID
     * @return 海运运价从
     */
    public TCtnpriceItems selectTCtnpriceItemsById(Long fId);

    /**
     * 查询海运运价从列表
     * 
     * @param tCtnpriceItems 海运运价从
     * @return 海运运价从集合
     */
    public List<TCtnpriceItems> selectTCtnpriceItemsList(TCtnpriceItems tCtnpriceItems);

    /**
     * 新增海运运价从
     * 
     * @param tCtnpriceItems 海运运价从
     * @return 结果
     */
    public int insertTCtnpriceItems(TCtnpriceItems tCtnpriceItems);

    /**
     * 修改海运运价从
     * 
     * @param tCtnpriceItems 海运运价从
     * @return 结果
     */
    public int updateTCtnpriceItems(TCtnpriceItems tCtnpriceItems);

    /**
     * 批量删除海运运价从
     * 
     * @param fIds 需要删除的海运运价从ID
     * @return 结果
     */
    public int deleteTCtnpriceItemsByIds(Long[] fIds);

    /**
     * 删除海运运价从信息
     * 
     * @param fId 海运运价从ID
     * @return 结果
     */
    public int deleteTCtnpriceItemsById(Long fId);

    /**
     * 获取集装箱运费
     * @param tCtnpriceItems
     * @return
     */
    public List<Long> containerPrice(TCtnpriceItems tCtnpriceItems);
}
